LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 12-05-2007, 04:49 AM   #1
dylan912
LQ Newbie
 
Registered: Dec 2004
Distribution: Redhat
Posts: 18

Rep: Reputation: 0
Cisco VPN Client on kernel v. 2.6.23.1-21.fc7


Dear ALL,

I have update the kernel version to the 2.6.23.1-21.fc7; and now my vpn_client is not working.. it says..

$ /etc/init.d/vpnclient_init start
Starting /opt/cisco-vpnclient/bin/vpnclient: insmod: error inserting '/lib/modules/2.6.23.1-21.fc7/CiscoVPN/cisco_ipsec.ko': -1 Invalid module format
Failed (insmod)

Does anyone having a solution for this.. I tried manually inset the module but the same thing..

insmod cisco_ipsec.ko
insmod: error inserting 'cisco_ipsec.ko': -1 Invalid module format

I am using vpnclient-linux-x86_64-4.8.01.0640-k9.tar.gz and the installation went smooth..

Please advice any updates are there to support this issue

Thanks and regards

-+> Hirantha
 
Old 12-06-2007, 02:09 PM   #2
acid_kewpie
Moderator
 
Registered: Jun 2001
Location: UK
Distribution: Gentoo, RHEL, Fedora, Centos
Posts: 43,398

Rep: Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965Reputation: 1965
ok, well are you actually using a 64 bit system? would certainly cover issues about a module format. also you might wish to try vpnc instead of the cisco own client, which doens't use any kernel modules or anything, and is much simpler overall.
 
Old 12-09-2007, 06:30 PM   #3
TheMadIndian
Member
 
Registered: Dec 2007
Distribution: Fedora Slackware CentOS slax RHEL
Posts: 114

Rep: Reputation: 23
Quote:
Originally Posted by dylan912 View Post
Dear ALL,

I have update the kernel version to the 2.6.23.1-21.fc7; and now my vpn_client is not working.. it says..

$ /etc/init.d/vpnclient_init start
Starting /opt/cisco-vpnclient/bin/vpnclient: insmod: error inserting '/lib/modules/2.6.23.1-21.fc7/CiscoVPN/cisco_ipsec.ko': -1 Invalid module format
Failed (insmod)

Does anyone having a solution for this.. I tried manually inset the module but the same thing..

insmod cisco_ipsec.ko
insmod: error inserting 'cisco_ipsec.ko': -1 Invalid module format

I am using vpnclient-linux-x86_64-4.8.01.0640-k9.tar.gz and the installation went smooth..

Please advice any updates are there to support this issue

Thanks and regards

-+> Hirantha
you need to rerun the install, I've done it for 2 kernel changes in F7 and now 2 kernel changes in F8
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Cisco VPN Client 4.8 crashes smp kernel brigo Linux - Software 3 09-11-2007 02:04 PM
CISCO VPN Client and Kernel 2.6.13: Solved tronayne Linux - Networking 0 12-05-2005 01:27 PM
Cisco VPN Client unable to insert kernel module cuco76 Linux - Networking 2 04-14-2005 03:36 PM
cisco vpn client with kernel 2.6.3 (mdk10) works C++Boar Mandriva 34 12-27-2004 08:56 AM
Cisco VPN Client on Debian with kernel 2.6.4 stephanhuiser Linux - Networking 1 06-17-2004 11:34 AM


All times are GMT -5. The time now is 11:47 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration